org.wildfly.swarm.microprofile.openapi.api.models

## Class ComponentsImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.ComponentsImpl

- All Implemented Interfaces:
    ModelImpl

      public class ComponentsImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `Components` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentsImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Components` | `addCallback(String key, Callback callback)`
    `Components` | `addExample(String key, Example example)`
    `Components` | `addHeader(String key, Header header)`
    `Components` | `addLink(String key, Link link)`
    `Components` | `addParameter(String key, Parameter parameter)`
    `Components` | `addRequestBody(String key, RequestBody requestBody)`
    `Components` | `addResponse(String key, APIResponse response)`
    `Components` | `addSchema(String key, Schema schema)`
    `Components` | `addSecurityScheme(String key, SecurityScheme securityScheme)`
    `Components` | `callbacks(Map<String,Callback> callbacks)`
    `Components` | `examples(Map<String,Example> examples)`
    `Map<String,Callback>` | `getCallbacks()`
    `Map<String,Example>` | `getExamples()`
    `Map<String,Header>` | `getHeaders()`
    `Map<String,Link>` | `getLinks()`
    `Map<String,Parameter>` | `getParameters()`
    `Map<String,RequestBody>` | `getRequestBodies()`
    `Map<String,APIResponse>` | `getResponses()`
    `Map<String,Schema>` | `getSchemas()`
    `Map<String,SecurityScheme>` | `getSecuritySchemes()`
    `Components` | `headers(Map<String,Header> headers)`
    `Components` | `links(Map<String,Link> links)`
    `Components` | `parameters(Map<String,Parameter> parameters)`
    `Components` | `requestBodies(Map<String,RequestBody> requestBodies)`
    `Components` | `responses(Map<String,APIResponse> responses)`
    `Components` | `schemas(Map<String,Schema> schemas)`
    `Components` | `securitySchemes(Map<String,SecurityScheme> securitySchemes)`
    `void` | `setCallbacks(Map<String,Callback> callbacks)`
    `void` | `setExamples(Map<String,Example> examples)`
    `void` | `setHeaders(Map<String,Header> headers)`
    `void` | `setLinks(Map<String,Link> links)`
    `void` | `setParameters(Map<String,Parameter> parameters)`
    `void` | `setRequestBodies(Map<String,RequestBody> requestBodies)`
    `void` | `setResponses(Map<String,APIResponse> responses)`
    `void` | `setSchemas(Map<String,Schema> schemas)`
    `void` | `setSecuritySchemes(Map<String,SecurityScheme> securitySchemes)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentsImpl

          public ComponentsImpl()

  - ### Method Detail

    - #### getSchemas

          public Map<String,Schema> getSchemas()

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#getSchemas()`

    - #### setSchemas

          public void setSchemas(Map<String,Schema> schemas)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#setSchemas(java.util.Map)`

    - #### schemas

          public Components schemas(Map<String,Schema> schemas)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#schemas(java.util.Map)`

    - #### addSchema

          public Components addSchema(String key,
                                      Schema schema)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#addSchema(java.lang.String, org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### getResponses

          public Map<String,APIResponse> getResponses()

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#getResponses()`

    - #### setResponses

          public void setResponses(Map<String,APIResponse> responses)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#setResponses(java.util.Map)`

    - #### responses

          public Components responses(Map<String,APIResponse> responses)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#responses(java.util.Map)`

    - #### addResponse

          public Components addResponse(String key,
                                        APIResponse response)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#addResponse(java.lang.String, org.eclipse.microprofile.openapi.models.responses.APIResponse)`

    - #### getParameters

          public Map<String,Parameter> getParameters()

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#getParameters()`

    - #### setParameters

          public void setParameters(Map<String,Parameter> parameters)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#setParameters(java.util.Map)`

    - #### parameters

          public Components parameters(Map<String,Parameter> parameters)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#parameters(java.util.Map)`

    - #### addParameter

          public Components addParameter(String key,
                                         Parameter parameter)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#addParameter(java.lang.String, org.eclipse.microprofile.openapi.models.parameters.Parameter)`

    - #### getExamples

          public Map<String,Example> getExamples()

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#getExamples()`

    - #### setExamples

          public void setExamples(Map<String,Example> examples)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#setExamples(java.util.Map)`

    - #### examples

          public Components examples(Map<String,Example> examples)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#examples(java.util.Map)`

    - #### addExample

          public Components addExample(String key,
                                       Example example)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#addExample(java.lang.String, org.eclipse.microprofile.openapi.models.examples.Example)`

    - #### getRequestBodies

          public Map<String,RequestBody> getRequestBodies()

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#getRequestBodies()`

    - #### setRequestBodies

          public void setRequestBodies(Map<String,RequestBody> requestBodies)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#setRequestBodies(java.util.Map)`

    - #### requestBodies

          public Components requestBodies(Map<String,RequestBody> requestBodies)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#requestBodies(java.util.Map)`

    - #### addRequestBody

          public Components addRequestBody(String key,
                                           RequestBody requestBody)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#addRequestBody(java.lang.String, org.eclipse.microprofile.openapi.models.parameters.RequestBody)`

    - #### getHeaders

          public Map<String,Header> getHeaders()

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#getHeaders()`

    - #### setHeaders

          public void setHeaders(Map<String,Header> headers)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#setHeaders(java.util.Map)`

    - #### headers

          public Components headers(Map<String,Header> headers)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#headers(java.util.Map)`

    - #### addHeader

          public Components addHeader(String key,
                                      Header header)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#addHeader(java.lang.String, org.eclipse.microprofile.openapi.models.headers.Header)`

    - #### getSecuritySchemes

          public Map<String,SecurityScheme> getSecuritySchemes()

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#getSecuritySchemes()`

    - #### setSecuritySchemes

          public void setSecuritySchemes(Map<String,SecurityScheme> securitySchemes)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#setSecuritySchemes(java.util.Map)`

    - #### securitySchemes

          public Components securitySchemes(Map<String,SecurityScheme> securitySchemes)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#securitySchemes(java.util.Map)`

    - #### addSecurityScheme

          public Components addSecurityScheme(String key,
                                              SecurityScheme securityScheme)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#addSecurityScheme(java.lang.String, org.eclipse.microprofile.openapi.models.security.SecurityScheme)`

    - #### getLinks

          public Map<String,Link> getLinks()

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#getLinks()`

    - #### setLinks

          public void setLinks(Map<String,Link> links)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#setLinks(java.util.Map)`

    - #### links

          public Components links(Map<String,Link> links)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#links(java.util.Map)`

    - #### addLink

          public Components addLink(String key,
                                    Link link)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#addLink(java.lang.String, org.eclipse.microprofile.openapi.models.links.Link)`

    - #### getCallbacks

          public Map<String,Callback> getCallbacks()

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#getCallbacks()`

    - #### setCallbacks

          public void setCallbacks(Map<String,Callback> callbacks)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#setCallbacks(java.util.Map)`

    - #### callbacks

          public Components callbacks(Map<String,Callback> callbacks)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#callbacks(java.util.Map)`

    - #### addCallback

          public Components addCallback(String key,
                                        Callback callback)

      See Also:
        `org.eclipse.microprofile.openapi.models.Components#addCallback(java.lang.String, org.eclipse.microprofile.openapi.models.callbacks.Callback)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.